activity
List Activity Sessions
GET
/
api
/
activity
/
sessions
List Activity Sessions
curl --request GET \
--url https://api.aixy-gateway.com/api/activity/sessions \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/activity/sessions"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/activity/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"session_key": "<string>",
"session_id": "<string>",
"identity": {
"organization": {
"id": "<string>",
"name": "<string>"
},
"project": {
"id": "<string>",
"name": "<string>"
},
"team": {
"id": "<string>",
"name": "<string>"
},
"api_key": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
},
"first_seen_at": "<string>",
"last_seen_at": "<string>",
"requests": 123,
"errors": 123,
"tokens": {
"input": 123,
"output": 123,
"total": 123,
"uncached_input": 123,
"cached_input": 123,
"cache_write_input": 123,
"reasoning": 123
},
"usage_reported_requests": 123,
"cost": {
"amount_usd": "<string>",
"attributed_requests": 123,
"unattributed_requests": 123,
"partial_requests": 123,
"statuses": [
"<string>"
]
},
"models": [
"<string>"
],
"clients": [
"<string>"
],
"object": "activity.session",
"mcp_calls": 0,
"mcp_errors": 0,
"mcp_unknown": 0
}
],
"next_cursor": "<string>",
"period": {
"starts_at": "<string>",
"ends_at": "<string>"
},
"object": "list",
"unavailable_sources": [],
"tool_retention_days": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Secure same-origin browser session cookie.
Query Parameters
Required range:
1 <= x <= 100Response
Successful Response
⌘I
List Activity Sessions
curl --request GET \
--url https://api.aixy-gateway.com/api/activity/sessions \
--cookie gateway_session=import requests
url = "https://api.aixy-gateway.com/api/activity/sessions"
headers = {"cookie": "gateway_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gateway_session='}};
fetch('https://api.aixy-gateway.com/api/activity/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"session_key": "<string>",
"session_id": "<string>",
"identity": {
"organization": {
"id": "<string>",
"name": "<string>"
},
"project": {
"id": "<string>",
"name": "<string>"
},
"team": {
"id": "<string>",
"name": "<string>"
},
"api_key": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
},
"first_seen_at": "<string>",
"last_seen_at": "<string>",
"requests": 123,
"errors": 123,
"tokens": {
"input": 123,
"output": 123,
"total": 123,
"uncached_input": 123,
"cached_input": 123,
"cache_write_input": 123,
"reasoning": 123
},
"usage_reported_requests": 123,
"cost": {
"amount_usd": "<string>",
"attributed_requests": 123,
"unattributed_requests": 123,
"partial_requests": 123,
"statuses": [
"<string>"
]
},
"models": [
"<string>"
],
"clients": [
"<string>"
],
"object": "activity.session",
"mcp_calls": 0,
"mcp_errors": 0,
"mcp_unknown": 0
}
],
"next_cursor": "<string>",
"period": {
"starts_at": "<string>",
"ends_at": "<string>"
},
"object": "list",
"unavailable_sources": [],
"tool_retention_days": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}